	WindowsFolder = fso.GetSpecialFolder(0);
	SystemFolder = fso.GetSpecialFolder(1);

	/*updates the left info panel when you select icons*/
	var name, data, text, title, i, size = 0;

	/*kill any preview*/
	Preview.innerHTML = "";
	Preview.style.display = "none";

	data = FileList.SelectedItems().Count;
	if (data==0) { if (bfade) fadeAllow(0); text = NoneSelected(); if (bfade) fadeAllow(1); }
	else if (data > 1) text = ManySelected(data);
	else
	{
/***************************************************** start single selection *****************************************************/
		item = FileList.SelectedItems().Item(0); text = '';
	if(vprocess && !isTooBigFolder(item.Name) && (fso.FileExists(item.Path) || (currentPanel==1 && fso.FolderExists(item.Path))))
	{ 
		if (bfade) fadeAllow(0);
		var ext = GetExtension(item);
		/*1 name*/
		name = FileList.Folder.GetDetailsOf(item, 0);
		if (!name) name = item.Name;
		text = "<b>" + SanatizeString(name) + "</b>";

		/*2 to 'block' big folders.*/
		if (isFoldernotDrive(item.path))
		{
			text += "<button class='gradbtn' title='" + Block_Folder_Text + "' onclick='BlockFolder(item.Name)' style='margin-top:3px;height:18px'>Bloquear</button><button class='gradbtn' title='Mudar o Icone desta Pasta (beta!!!)' onclick='openIconChanger(item.path)' style='margin-top:3px;height:18px' >Mudar Icone</button>";
		}

		/*3 type*/
		text += "<br />" + FileType(item);

		/*4 size --- this one works for folders too.*/
		text += "<br />" + FolderSize(item);

		/*5 extension - useful when you hide the extensions.*/
		if (!fso.DriveExists(item.path) && !isSpecialFolder())
		text += "<br /><b>" + "Extens&atilde;o : </b>" + GetExtension(item);

		/*6 creation, modification, access dates (uncomment to show in infobox)*/
		text += "<br />" + ShowFileInfo(item);

		/*7 comments -- useful with infotip shell extension(??) / zip files / Shell Infotip for the item/ namespace folders*/
		if (fso.FolderExists(item.path))
		text += HandleComment(item);

		/*8 extra details? (attribs)*/
		gFoundAuthor = false;
		for (i = 4; i < 10; i++)
		{
			title = FileList.Folder.GetDetailsOf(null, i);
			if (!title) break;
			data = FileList.Folder.GetDetailsOf(item, i);
			if (title=="Atributos")
			text += "<br /><b><a href='javascript:doVerb(\"Properties\");' title='Clique aqui para abrir as Propriedades do Item.'>" + title + "</a> : </b>" + FormatAttributes(data);
			else if (data)
			{
				var safeData = SanatizeString(data);
				if (title=="Autor")
				{
					gFoundAuthor = true;
					text += "<br /><b>" + title + "</b>: <a href='mailto:" + safeData + "'>" + safeData + "</a>";
				}
				else text += FormatDetail(title, safeData);
			}
		}

		/*9 list of subfolders.*/
		if (isFoldernotDrive(item.path))
		{
			var fldr;
			fldr = fso.GetFolder(item.path);
			if (fldr.SubFolders.count > 0)
			{
				text += "<br /><b>" + "<a href='javascript:void 0' onclick='subFolderList(0,0)' id='fpath00' tg='" + item.path + "' title='Tha DHTML Explorer'>" + "<span id='expcol00' style='position:relative;margin-left:" + 0 + "' class='expglyph'></span><span class='glyph' id='glyph12'></span>&nbsp;" + item.name + "</a></b> (<b>" + fldr.SubFolders.count + "</b> Subfolder(s)) :";
				text += "<span id='link00' style='display:none'></span>";
			}
			else text += "";
			if (fldr.Files.count > 0) {
			if (bshowfilelist)
				text += "<br /><a title='Clique aqui para esconder a FileList. Recomendado para Pastas com um grande numero de subitems' onclick='bshowfilelist=false; reSelect(item);'><span class='colglyph'></span><b>Ocultar SubItems (" + fldr.Files.count + ")</b></a>"  +  ShowFileList(item);
			else
				text += "<br /><a title='Clique aqui para mostar os subitems da pasta seleccionada.' onclick=' bshowfilelist=true;reSelect(item);'><span class='expglyph'></span><b>Mostrar SubItems (" + fldr.Files.count + ")</b></a>";
			}
		}
		/*10 try to generate a new thumbnail or media preview/ extra Information*/
		if (sAttributes && ext == "mp3")
		{
			try
			{
				mp3Obj = new ActiveXObject('Alfafish.EzyID326');
				mp3Obj.Filename = item.path;
				mp3Obj.Read();
				if (mp3Obj.HaveTag)
				{
					text += "<br /><b><a href='javascript:EditTag(0)'>Titulo</a> : </b>" + mp3Obj.Song;
					text += "<br /><b><a href='javascript:EditTag(1)'>Artista</a> : </b>" + mp3Obj.Artist;
					text += "<br /><b><a href='javascript:EditTag(2)'>Album</a> : </b>" + mp3Obj.Album;
					text += "<br /><b>Dura&ccedil;&atilde;o : </b>" + Math.floor(mp3Obj.Length/60) + ":" + mp3Obj.Length%60;
					text += "<br /><b>G&eacute;nero : </b>" + mp3Obj.Genre;
					text += "<br /><b><a href='javascript:EditTag(3)'>Coment&aacute;rios</a> : </b>" + mp3Obj.Comment;
					text += "<br /><b>Bitrate : </b>" + mp3Obj.Bitrate;
				}
			}
			catch(e){}
		}
		if (IsPreviewableFile(4, ext))
		{
			try {
			ImgObj = new ActiveXObject("ZmeYsoft.Util.ImageFile");
			ImgObj.FileName = item.path;
			text += "<br /><b>Dimens&otilde;es</b> : " + ImgObj.Width + " x " + ImgObj.Height + " x " + ImgObj.ColorBits + " bpp";
			}
			catch(e){}					
		}
		if (item.Size || fso.DriveExists(item.path))
		{
			if (gWantMedia)
			{
				nopreview.innerHTML = '';
				if (IsPreviewableFile(0, ext) || IsPreviewableFile(1, ext))
				{
					IsPreviewableFile(0, ext) ? category = "Movie" : category = "Sound";
					Preview.innerHTML =  '<object id="MediaPlayer" class=' + category + ' classid="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">' +  '<param name="ShowDisplay" value=false>'+ '<param name="AutoPlay" value="false">' +  '</object>' + '<br />';
					MediaPlayer.EnableContextMenu = true; /*enables or disables the context menu*/
					MediaPlayer.ShowPositionControls = true;
					MediaPlayer.Open(item.Path);
				}
				if (IsPreviewableFile(2, ext) && item.size < 64*1024)  /*checking if the file selected is a text file.*/
				{
					Preview.innerHTML = '<center>' + '<textarea id="textpreview" name="txtarea" wrap="soft" style="height:200px;font:8pt tahoma" cols="38" value="" >' + '</textarea>' + '</center>' + '&nbsp;&nbsp;&nbsp;&nbsp;' + '<a onclick="cbSetWrap.click();cbSetWrap.focus();"><input id="cbSetWrap" type="checkbox" checked onclick="setwrap();" >' + 'Moldar Texto' + '</a></input>';
					if (sAttributes) Preview.innerHTML += '<button class="gradbtn" onclick="saveText()" title="Guardar o Ficheiro." style="margin-top:2;margin-left:5">Guardar</button>' ;
					var txtf =  fso.OpenTextFile(item.path,1,0);
					textpreview.value=txtf.ReadAll();
					txtf.Close();
				}
				/*text preview!! wheeee....*/
				if (IsPreviewableFile(3, ext) && bRealView)
				{
					cwidth = Panel.clientWidth -40;
					cheight = Panel.clientWidth*3/4;
					try
					{
						Preview.innerHTML = '<center>' + '<object id="RealViewerImgWindow" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" height="' + cheight + '" width="' + cwidth + '">' + '<param name="Src" value="' + item.Path + '"><param name="controls" value="ImageWindow"><param name="autostart" value="true">' + '</object>' + '<object id="RealViewerControlPanel" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" height="30" width="' + cwidth + '"><param name="controls" value="ControlPanel"></object>' +  '<br />' + '</center>';
					}
					catch(e){}
				}
				if (IsPreviewableFile(4, ext) || IsPreviewableFile(7, ext))
				{
					var Thumbwidth = 215;
					var imgw, imgh;
					if (IsPreviewableFile(4, ext)) {
					imgw= ImgObj.Width>Thumbwidth? Thumbwidth : ImgObj.Width;
					imgh = ImgObj.Width > Thumbwidth ? Thumbwidth*ImgObj.Height/ImgObj.Width : ImgObj.Height;
					}
					if (ext == "png" && iever == 6) //"hack" from A list Apart, allows pngs to be displayed with transparencies etc.
					{
						Preview.innerHTML += '<center><div style="position:relative;filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=' + '\'' + item.path + '\'' + ',sizingMethod=\'scale\');width=' + imgw + ';height=' + imgh + '"></div></center>';
					}
					else
					{
						if (IsPreviewableFile(7, ext)) Preview.innerHTML += '<center><br /><img src="' + item.path + '" title="' + item.name + '" /></center>';
						else Preview.innerHTML += '<center><br /><img src="' + item.path + '" title="' + item.name + '" width=' + imgw + ' height=' + imgh + ' /></center>';
					}
					Preview.innerHTML += '<br />';
				}
				if (IsPreviewableFile(5, ext) || fso.DriveExists(item.path))
				{
					Preview.innerHTML = '<center><object id="Thumbnail" classid="clsid:1D2B4F40-1F10-11D1-9E88-00C04FDCAB92" style="width: 150px; height: 150px; border:0;"></object></center>';
					Thumbnail.displayFile(item.path);
				}
				if (IsPreviewableFile(6, ext))
				{
					if (item.size < 10*1024*1024)
					try
					{
						var tmptxt='', compSize=0, unCompSize=0;
						TransLHActrl = new ActiveXObject("TransLhaO.TransLha");
						switch(ext)
						{
							//case "lzh" : TransLHActrl.ArcMode = 0; break;
							case "zip" : TransLHActrl.ArcMode = 1; break;
							case "cab" : TransLHActrl.ArcMode = 2; break;
							case "rar" : TransLHActrl.ArcMode = 6; break;
						}
						TransLHActrl.oArcFileName = item.path;
						TransLHActrl.OpenFile();
						for (j=0;j<TransLHActrl.oFilesCount;j++)
						{
							tmptxt += "&nbsp;<a href='javascript:unzip(" + j + ")' title='Clique para extrair ficheiro individual'>" + TransLHActrl.oPath(j) + TransLHActrl.oFilesList(j) + "</a><br />";
							compSize += parseInt(TransLHActrl.oPackedSize(j).replace(",",""));
							unCompSize += parseInt(TransLHActrl.oOrgSize(j).replace(",",""));
						}
						var compressionRatio = Math.round((1-compSize/unCompSize)*100);
						if (compressionRatio) text += "<br /><b>Compress&atilde;o : " + compressionRatio + "%</b>";
						text += "<br /><b>Arquivo Contem :</b><br />";
						text += tmptxt;
						text += "<button class='gradbtn' onclick='unzip(-1);'>Extrair todos</button><br />";
						text += "<input type='checkbox' id='bPathInfo' checked='checked' ><span onclick='bPathInfo.click();'>Guardar Informa&ccedil;&atilde;o de Caminho</span></input><input type='checkbox' id='bSubFldr'><span onclick='bSubFldr.click();'>Extrair para SubPasta</span></input><br />";
					}
					catch(e){}
					finally{}
				}
				if (ext == "dwg" || ext =="dwt" || ext =="dwf")
				{
					try
					{
						Preview.innerHTML = '<center><object id="DWGViewer" width="185" height="140" classid="clsid:69953FF3-8A3B-11D3-B074-00C04F689033" style="margin:5;"></object></center>';
						DWGViewer.BackColor = 0x000000;
						DWGViewer.FilePath = item.path;
						text += "<br /><b>Vers&atilde;o de ficheiro AutoCAD :</b> " + DWGViewer.GetDwgVersion();
					}
					catch(e){}
				}
				if (ext=="swf")
				{
					cwidth = Panel.clientWidth -40;
					cheight = Panel.clientWidth*3/4;
					Preview.innerHTML = '<center><object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="' + cwidth + '" height="' + cheight + '" id="FlashViewer" ><param name=movie value="' + item.path + '"><param name=quality value=high></object></center>';
				}
				if (Preview.innerHTML != "") { Preview.style.display = ""; }
			}  /*end gWantMedia*/
		}  /*end thumbnail/media preview*/

	}
/*************************************************** end single selection *********************************************************/
	else if (isTooBigFolder(item.Name))
	{
		text = "A Pasta escolhida foi 'bloqueada' pelo utilizador para qualquer processamento pela vebwiev devido ao grande tamanho da pasta.";
		text += "<br /><center><button class='gradbtn' style='margin-top:3px;height:18px;padding-bottom:10px;' onclick='unBlockThisFolder(item.Name)' title='Desbloquear pasta escolhida'>Desbloquear isto </button>";
		text += "&nbsp;<button class='gradbtn' style='margin-top:3px;height:18px;' onclick='delBlockedFldrList()' title='Desbloquear todas as pastas na directoria actual'>Desbloquear todas </button></center>";
		text += "Pastas bloqueadas neste computador s%atilde;o : " + Blocked_Folder_List;
	}
	else if (!vprocess)
	{
		(isFoldernotDrive(item.path) ? text = L_Intro_Vebwiev_Off_Text : text = L_Intro_Text + "<br />Processamento est&aacute; <a onclick='ibbtn.click();'>desligado.</a>");
	}
	else if (isSpecialFolder()) text = "<b>" + item.name + "</b><br />Extens&atilde;o NameSpace<br /><br />" + HandleComment(item);
	}

	/* replace Info with the new text*/
	Info.innerHTML = text;
	if (bfade) fadeAllow(1);


/***this function gives the size of a folder or of a file as maybe the case.might take some time on slow computers and large folders.for huge folders, explorer might seem to crash, but actually it has not, its just taking time to generate the information regarding size of the folder.*/
function FolderSize(file)
{
	var s = '', fsoObj;
	if (isFoldernotDrive(file.path))
	{
		fsoObj = fso.GetFolder(file.path);
		s = '<br /><b>' + fsoObj.name + '</b> utiliza ' + roundSize(fsoObj.size);
	}
	else if (fso.FileExists(file.path))
		try { s = '<br /><b>' + file.name + '</b> utiliza ' + FormatNumber(file.size.toString()) + " bytes"; }
		catch(e) {}
	return s;
}

/******************************************* File/Folder/Drive/Namespace type ******************************************************/
function FileType(file)
{
	var f, s = "";
	if (fso.FolderExists(file.path))
	{
		if (fso.DriveExists(file.path))
		{
			f = fso.GetDrive(file.path);
			s = GetDriveType(f.DriveType) + " Unidade";
		}
		else s = fso.GetFolder(file.path).Type;
	}
	else fso.FileExists(file.path) ? s = fso.GetFile(file.path).Type : s = "Ficheiro ou Pasta n&atilde;o existe.";
	return s;
}

/************************************************** shows drive information *******************************************************/
function ShowFileInfo(file)
{
	var drive, file, s = '';
	if (fso.DriveExists(file.path))
	{
		drive = fso.GetDrive(file.path);
		s = '<b>Tamanho da Unidade : </b>' + roundSize(drive.TotalSize);
		var pfree = drive.FreeSpace/drive.TotalSize*100;
		var pused = (drive.TotalSize - drive.FreeSpace)/drive.TotalSize*100;
		s += '<br /><b>Espa&ccedil;o Utilizado : </b>' + roundSize(drive.TotalSize - drive.FreeSpace) + ' (' + pused.toString().substring(0,5) + ' %)';
		s += '<br /><b>Espa&ccedil;o Livre : </b>' + roundSize(drive.FreeSpace) + ' (' + pfree.toString().substring(0,5) + ' %)';
		s += '<br /><b>Sistema de Ficheiros : </b>' + drive.FileSystem;
	}
	return s;
}

function FormatDetail(label, data)
{
	var s = "<br />" + label + ": ";
	if (label.length + data.length > 32) s += "<br />";
	s +=  data;
	return s;
}

/************************************************* Multiple Selection *************************************************************/
function ManySelected(items)
{
	var s = items + " items seleccionados.<br />";
	var size = 0, f;
	var itemi = new Array();
	if (vprocess)
	{
		if (items <= 100)
			for (var i = 0; i < items; i++)
			{
				itemi[i] = FileList.SelectedItems().Item(i);
				try
				{
					if (!fso.DriveExists(itemi[i].Path) && (thisfolder != NameSpace[0]))
					{
						(fso.FolderExists(itemi[i].Path) ? f = fso.GetFolder(itemi[i].Path): f = fso.GetFile(itemi[i].Path));
						if (items <= 16)
						{
							(fso.FolderExists(itemi[i].Path) ? s += "<span class='glyph' id='glyph12'></span>&nbsp;": s+= "<span class='glyph' id='fileglyph'></span>&nbsp;");
							s += "<b>" + SanatizeString(itemi[i].Name) + "</b>&nbsp;(" + FormatNumber(f.Size.toString()) +" bytes)<br />";
						}
						size += f.Size;
					}
				}
				catch(e){}
			}
		if (size)
		s += "<br />Tamanho total da selec&ccedil;&atilde;o: " + roundSize(size) + "<br />";
	}
	else s = L_Intro_Text + "Processamento est&aacute; <a onclick='ibbtn.click();'>desligado.</a>";
	return s;
}
/****************************************************** End multiple selection ****************************************************/

/************************************* Function executed when no items are selected **************************************************/
function NoneSelected()
{
	nopreview.innerHTML ='';
	var s = L_Intro_Text + (FileList.Folder.Items().Count ? L_Prompt_Text: "N&atilde;o existem items para mostrar nesta pasta.");
	s += "<br /><a href='javascript:generateSVG()'><span id='pieglyph'></span>Gerar Gr&aacute;fico Circular</a>";
	return s;
}
/************************************************** End noneselected() **********************************************************/

function SanatizeString(data)
{
	var re = /\</g;
	var s = data.replace( re, "&lt;");
	re = />/g;
	s = s.replace( re, "&gt;");
	return s;
}

function roundSize(sze)
{
	var size_mb = sze / (1024 * 1024);
	var roundedsize  = size_mb.toString().substring(0, size_mb.toString().indexOf(".") + 3);
	return roundedsize + " Mb";
}

function FormatAttributes(data)
{
	/*function to display the attributes of file/folder.*/
	sAttributes='';
	var code, L_Codes_Text = "RHSaCE";
	for (i = 1; i < L_Codes_Text.length; i++)
	{
		code = L_Codes_Text.charAt(i-1);
		if (data.indexOf(code) > -1)
		{
			if (sAttributes) sAttributes += ", ";
			sAttributes += gAttributeNames[i];
		}
	}
	if (!sAttributes) sAttributes = gAttributeNames[0];
	return sAttributes;
}

function HandleComment(file)
/*gives the infotip related with the selected object. for zip files, it may return the file contents.*/
{
	var s = FileList.Folder.GetDetailsOf(file, -1);
	return s;
}

function isSpecialFolder()
{
	var isSF= false;
	for (i=0;i<SpecialFolders.length;i++)
		for (j=0;j<FileList.SelectedItems().count;j++)
			if (FileList.SelectedItems().Item(j).name==SpecialFolders[i])
				isSF = true;
	return isSF;
}